# MPIX_Comm_shrink

Creates a new communitor from an existing communicator while excluding failed processes

## Synopsis

    #ifdef ENABLE_QMPI
    #ifndef MPICH_MPI_FROM_PMPI
    int QMPIX_Comm_shrink(QMPI_Context context, int tool_id, MPI_Comm comm,
                          MPI_Comm *newcomm) MPICH_API_PUBLIC

## Input Parameters

comm
  communicator (handle)

## Output Parameters

newcomm
  new communicator (handle)

## Notes